---
updatedAt: 2026-07-06T07:55:05.000Z
agentTools:
  projectIndex: https://docs.trustpair.com/llms.txt
---

# Fetch Company Account Check Actions

Returns the list of actions performed on a specific control, along with their details. Use this endpoint to audit or trace the history of a control — for example, to see when it was evaluated, overriden, or archived, and by whom.

<br />

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "TRUSTPAIR API",
    "version": "v1",
    "description": "The Trustpair API is organized around REST. Our API has predictable resource-oriented URLs, returns JSON-encoded responses, and uses standard HTTP response codes, authentication, and verbs.\n\n# Definitions\nThe following API documentation is divided into different definitions. Switch between definitions using the select located at the top right of the page.\n\n# Authentication\n\nThe Trustpair API uses token to authenticate requests.\n\nThe Bearer authentication token must be provided with the request as a header: `Authorization: Bearer <token>`\n\nAll API requests must be made over `HTTPS`. Calls made over plain `HTTP` will fail.\n\nAPI requests without authentication will also fail.\n\n\n### Error response\n\nReturns a `401 UNAUTHORIZED` code if the provided bearer token is not found.\n\n# Rate limits\nLimits are placed on the number of requests that can be made on the Trustpair API (the currently enforced limit being 100 requests over a 10 seconds periods). These limits help us provide the reliable and scalable API that our customers rely on.\n\nIf the defined limit is exceeded, the API will return an HTTP code `429 Too Many Requests`.\n\n\n# Pagination\n\nThe API returns paginated results for list endpoints. By default, the number of items returned is 10.\n\nTrustpair utilizes cursor-based pagination via the `starting_after` and `ending_before` parameters.\nBoth parameters take an existing object ID value and return objects in reverse chronological order.\nThe `ending_before` parameter returns objects listed before the named object. The `starting_after` parameter returns objects listed after the named object.\nIf both parameters are provided, only `ending_before` is used.\n\n\n| Arguments      | Description                                                         | Required                | Example                                                |\n| -------------  |:-------------:                                                      | -----:                  | ---:                                                   |\n| limit          | A limit on the number of objects to be returned, between 1 and 100. | optional, default is 10 | */?limit=2                                             |\n| starting_after | A cursor for use in pagination                                      | optional                | */?starting_after=c58ac778-67b5-4f98-ba33-a1e9aaf394eb |\n| ending_before  | A cursor for use in pagination                                      | optional                | */?ending_before=c58ac778-67b5-4f98-ba33-a1e9aaf394eb  |\n\n\n# Filters\n\nThe API results can be filtered according to different criteria on every endpoint.\n\nThere is no theoric limit on how many different elements can be submitted in a filter, only that the request header should be kept under 8kb.\n\n| Arguments            | Description                                                                                    | Example                                                                                                       |\n| -------------        |:-------------:                                                                                 | ---------------------------------------:                                                                      |\n| ids                  | Returns selected objects                                                                       | /api/v1/paid_payments?ids=a414df38-f13b-48b6-95f7-f941ca121f28,a414df38-f13b-48b6-95f7-f941ca121f29           |\n| recents              | Returns objects evaluated in the last 24 hours                                                 | /api/v1/company_account_audits/recents                                                                        |\n| recents/?last_update | Returns the objects evaluated from the given date (included) (format: `%d/%m/%Y`)              | /api/v1/payment_checks/recents?last_update='01/01/2021'                                                       |\n| state                | Filters by global state (in `pending`, `favorable`, `unfavorable`, `anomaly` or `unevaluated`) | api/v1/company_account_checks/?state=unfavorable                                                              |\n\n# HTTP Codes\n\nTrustpair uses conventional HTTP response codes to indicate the success or failure of an API request.\n\n| Code                       | Description                                                             |\n| -------------              |:-------------:                                                          |\n| 200 - OK                   | Everything worked as expected                                           |\n| 202 - Accepted             | The request has been accepted and processing has not been completed yet |\n| 401 - Unauthorized         | No valid token was provided                                             |\n| 403 - Forbidden            | The token doesn't have permissions for the request                      |\n| 404 - Not found            | The requested resource doesn't exist                                    |\n| 422 - Unprocessable Entity | The request format was invalid                                          |\n| 429 - Too many requests    | The requests limit is exceeded                                          |\n\n# Webhooks\n\nThe webhook events documentation can be found by selecting `Webhooks - V1` in the [definitions](#definitions) select.\n\n"
  },
  "servers": [
    {
      "url": "https://app-sandbox.trustpair.com/"
    }
  ],
  "paths": {
    "/api/v1/company_account_checks/{id}/actions": {
      "get": {
        "summary": "Fetch Company Account Check Actions",
        "tags": [
          "Company account checks"
        ],
        "security": [
          {
            "bearer": []
          }
        ],
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "required": true,
            "description": "UUID of the company account check."
          },
          {
            "name": "include",
            "in": "query",
            "schema": {
              "type": "string",
              "enum": [
                "user",
                "override"
              ]
            },
            "required": false,
            "description": "Comma-separated sideloads."
          },
          {
            "name": "starting_after",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "required": false
          },
          {
            "name": "ending_before",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "required": false
          },
          {
            "name": "limit",
            "in": "query",
            "schema": {
              "type": "integer",
              "minimum": 1,
              "maximum": 100,
              "default": 20
            },
            "required": false
          },
          {
            "name": "sort",
            "in": "query",
            "schema": {
              "type": "string",
              "enum": [
                "created_at",
                "-created_at"
              ]
            },
            "required": false
          },
          {
            "name": "Accept-Language",
            "in": "header",
            "schema": {
              "type": "string",
              "enum": [
                "en",
                "fr"
              ]
            },
            "required": false,
            "description": "Specifies the preferred language for the response. Supported languages:\n* `en` - English\n* `fr` - French\n\nIf not provided, the default language will be used.\n",
            "example": "en"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/company_account_check_action"
                      }
                    },
                    "included": {
                      "type": "array",
                      "items": {
                        "anyOf": [
                          {
                            "$ref": "#/components/schemas/user"
                          },
                          {
                            "$ref": "#/components/schemas/base_override"
                          }
                        ]
                      }
                    },
                    "links": {
                      "$ref": "#/components/schemas/links"
                    },
                    "meta": {
                      "$ref": "#/components/schemas/meta"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "examples": {
                  "with invalid token": {
                    "value": {
                      "message": "Bearer token invalid or missing"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "examples": {
                  "without required permissions": {
                    "value": {
                      "message": "Access requires permission: 'company_account_checks_read'"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not found",
            "content": {
              "application/json": {
                "examples": {
                  "when QCR does not belong to customer": {
                    "value": {
                      "message": "Not found"
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable content",
            "content": {
              "application/json": {
                "examples": {
                  "with invalid include parameter": {
                    "value": {
                      "message": "Include is not included in the list",
                      "errors": [
                        {
                          "code": "inclusion",
                          "title": "is not included in the list",
                          "detail": "Include is not included in the list",
                          "source": {
                            "parameter": "include"
                          }
                        }
                      ]
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "tags": [
    {
      "name": "Company account checks",
      "description": "Check company account data in real time.\n            You can submit and retrieve a company account check object to get the Trustpair\n            evaluation of a given company or natural person and bank account."
    }
  ],
  "components": {
    "securitySchemes": {
      "bearer": {
        "type": "http",
        "scheme": "bearer"
      }
    },
    "schemas": {
      "base_override": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "example": "trustpair/override",
            "enum": [
              "trustpair/override"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "status": {
                "type": "string",
                "nullable": false,
                "example": "anomaly",
                "enum": [
                  "pending",
                  "submitted",
                  "cancelled",
                  "expired",
                  "refused",
                  "accepted"
                ]
              },
              "initial_value": {
                "type": "string",
                "nullable": false,
                "example": "anomaly",
                "enum": [
                  "pending",
                  "favorable",
                  "unfavorable",
                  "anomaly",
                  "unevaluated"
                ]
              },
              "submitted_value": {
                "type": "string",
                "nullable": false,
                "example": "favorable",
                "enum": [
                  "favorable",
                  "unfavorable"
                ]
              },
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "assigned_reviewers": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "type": {
                          "type": "string",
                          "example": "trustpair/user",
                          "enum": [
                            "trustpair/user"
                          ]
                        },
                        "id": {
                          "type": "string",
                          "example": "1568e953-2e31-4643-9d48-728b918254db"
                        }
                      }
                    }
                  }
                }
              },
              "created_by": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "example": "trustpair/user",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "0af6fafd-a870-4339-9d1c-01e4f6165266"
                      }
                    }
                  }
                }
              }
            }
          }
        }
      },
      "user": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "trustpair/user"
            ]
          },
          "id": {
            "type": "string",
            "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-10-10T12:34:56Z"
              },
              "last_name": {
                "type": "string",
                "example": "Doe"
              },
              "first_name": {
                "type": "string",
                "example": "John"
              },
              "full_name": {
                "type": "string",
                "example": "John Doe"
              },
              "email": {
                "type": "string",
                "format": "email",
                "example": "example@example.com"
              }
            }
          }
        }
      },
      "meta": {
        "type": "object",
        "properties": {
          "count": {
            "type": "integer",
            "example": 10
          },
          "total": {
            "type": "integer",
            "example": 122
          }
        }
      },
      "links": {
        "type": "object",
        "properties": {
          "self": {
            "type": "string",
            "example": "https://trustpair.com/api/v1/resources?starting_after=4b9a21a1-c3e7-4635-8df2-5775a1603152"
          },
          "first": {
            "type": "string",
            "example": "https://trustpair.com/api/v1/resources"
          },
          "next": {
            "type": "string",
            "nullable": true,
            "example": "https://trustpair.com/api/v1/resources?starting_after=4b9a21a1-c3e7-4635-8df2-5775a1603152"
          },
          "prev": {
            "type": "string",
            "nullable": true,
            "example": "https://trustpair.com/api/v1/resources?ending_before=4b9a21a1-c3e7-4635-8df2-5775a1603152"
          }
        }
      },
      "company_account_check_action": {
        "anyOf": [
          {
            "$ref": "#/components/schemas/company_account_check_archived_action"
          },
          {
            "$ref": "#/components/schemas/company_account_check_case_closed_action"
          },
          {
            "$ref": "#/components/schemas/company_account_check_case_created_action"
          },
          {
            "$ref": "#/components/schemas/company_account_check_child_created_action"
          },
          {
            "$ref": "#/components/schemas/company_account_check_created_action"
          },
          {
            "$ref": "#/components/schemas/company_account_check_created_from_source_action"
          },
          {
            "$ref": "#/components/schemas/company_account_check_document_analysis_created_action"
          },
          {
            "$ref": "#/components/schemas/company_account_check_fraud_reported_action"
          },
          {
            "$ref": "#/components/schemas/company_account_check_kys_call_created_action"
          },
          {
            "$ref": "#/components/schemas/company_account_check_kys_callbacks_expired_action"
          },
          {
            "$ref": "#/components/schemas/company_account_check_kys_created_action"
          },
          {
            "$ref": "#/components/schemas/company_account_check_kys_penny_test_expired_action"
          },
          {
            "$ref": "#/components/schemas/company_account_check_kys_penny_test_pending_action"
          },
          {
            "$ref": "#/components/schemas/company_account_check_kys_penny_test_received_action"
          },
          {
            "$ref": "#/components/schemas/company_account_check_override_accepted_action"
          },
          {
            "$ref": "#/components/schemas/company_account_check_override_cancelled_action"
          },
          {
            "$ref": "#/components/schemas/company_account_check_override_expired_action"
          },
          {
            "$ref": "#/components/schemas/company_account_check_override_refused_action"
          },
          {
            "$ref": "#/components/schemas/company_account_check_override_submitted_action"
          },
          {
            "$ref": "#/components/schemas/company_account_check_pair_evaluated_action"
          },
          {
            "$ref": "#/components/schemas/company_account_check_sanctions_screened_action"
          },
          {
            "$ref": "#/components/schemas/company_account_check_unarchived_action"
          }
        ]
      },
      "company_account_check_archived_action": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "company_account_check/action/archived"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              },
              "details": {
                "type": "object"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "user": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "company_account_check": {
                "type": "string",
                "format": "uri",
                "example": "https://app.trustpair.com/api/v1/company_account_checks/814a56f9-64d7-43e6-916a-b0bafe568a2b"
              }
            }
          }
        }
      },
      "company_account_check_case_closed_action": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "company_account_check/action/case_closed"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              },
              "details": {
                "type": "object"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "user": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "company_account_check": {
                "type": "string",
                "format": "uri",
                "example": "https://app.trustpair.com/api/v1/company_account_checks/814a56f9-64d7-43e6-916a-b0bafe568a2b"
              }
            }
          }
        }
      },
      "company_account_check_case_created_action": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "company_account_check/action/case_created"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              },
              "details": {
                "type": "object"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "user": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "company_account_check": {
                "type": "string",
                "format": "uri",
                "example": "https://app.trustpair.com/api/v1/company_account_checks/814a56f9-64d7-43e6-916a-b0bafe568a2b"
              }
            }
          }
        }
      },
      "company_account_check_child_created_action": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "company_account_check/action/child_created"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              },
              "details": {
                "type": "object"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "user": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "company_account_check": {
                "type": "string",
                "format": "uri",
                "example": "https://app.trustpair.com/api/v1/company_account_checks/814a56f9-64d7-43e6-916a-b0bafe568a2b"
              }
            }
          }
        }
      },
      "company_account_check_created_action": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "company_account_check/action/created"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              },
              "details": {
                "type": "object"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "user": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "company_account_check": {
                "type": "string",
                "format": "uri",
                "example": "https://app.trustpair.com/api/v1/company_account_checks/814a56f9-64d7-43e6-916a-b0bafe568a2b"
              }
            }
          }
        }
      },
      "company_account_check_created_from_source_action": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "company_account_check/action/created_from_source"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              },
              "details": {
                "type": "object"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "user": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "company_account_check": {
                "type": "string",
                "format": "uri",
                "example": "https://app.trustpair.com/api/v1/company_account_checks/814a56f9-64d7-43e6-916a-b0bafe568a2b"
              }
            }
          }
        }
      },
      "company_account_check_document_analysis_created_action": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "company_account_check/action/document_analysis_created"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              },
              "details": {
                "type": "object"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "user": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "company_account_check": {
                "type": "string",
                "format": "uri",
                "example": "https://app.trustpair.com/api/v1/company_account_checks/814a56f9-64d7-43e6-916a-b0bafe568a2b"
              }
            }
          }
        }
      },
      "company_account_check_fraud_reported_action": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "company_account_check/action/fraud_reported"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              },
              "details": {
                "type": "object"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "user": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "company_account_check": {
                "type": "string",
                "format": "uri",
                "example": "https://app.trustpair.com/api/v1/company_account_checks/814a56f9-64d7-43e6-916a-b0bafe568a2b"
              }
            }
          }
        }
      },
      "company_account_check_kys_call_created_action": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "company_account_check/action/kys_call_created"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              },
              "details": {
                "type": "object"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "user": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "company_account_check": {
                "type": "string",
                "format": "uri",
                "example": "https://app.trustpair.com/api/v1/company_account_checks/814a56f9-64d7-43e6-916a-b0bafe568a2b"
              }
            }
          }
        }
      },
      "company_account_check_kys_callbacks_expired_action": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "company_account_check/action/kys_callbacks_expired"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              },
              "details": {
                "type": "object"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "user": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "company_account_check": {
                "type": "string",
                "format": "uri",
                "example": "https://app.trustpair.com/api/v1/company_account_checks/814a56f9-64d7-43e6-916a-b0bafe568a2b"
              }
            }
          }
        }
      },
      "company_account_check_kys_created_action": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "company_account_check/action/kys_created"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              },
              "details": {
                "type": "object"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "user": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "company_account_check": {
                "type": "string",
                "format": "uri",
                "example": "https://app.trustpair.com/api/v1/company_account_checks/814a56f9-64d7-43e6-916a-b0bafe568a2b"
              }
            }
          }
        }
      },
      "company_account_check_kys_penny_test_expired_action": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "company_account_check/action/kys_penny_test_expired"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              },
              "details": {
                "type": "object"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "user": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "company_account_check": {
                "type": "string",
                "format": "uri",
                "example": "https://app.trustpair.com/api/v1/company_account_checks/814a56f9-64d7-43e6-916a-b0bafe568a2b"
              }
            }
          }
        }
      },
      "company_account_check_kys_penny_test_pending_action": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "company_account_check/action/kys_penny_test_pending"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              },
              "details": {
                "type": "object"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "user": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "company_account_check": {
                "type": "string",
                "format": "uri",
                "example": "https://app.trustpair.com/api/v1/company_account_checks/814a56f9-64d7-43e6-916a-b0bafe568a2b"
              }
            }
          }
        }
      },
      "company_account_check_kys_penny_test_received_action": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "company_account_check/action/kys_penny_test_received"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              },
              "details": {
                "type": "object"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "user": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "company_account_check": {
                "type": "string",
                "format": "uri",
                "example": "https://app.trustpair.com/api/v1/company_account_checks/814a56f9-64d7-43e6-916a-b0bafe568a2b"
              }
            }
          }
        }
      },
      "company_account_check_override_accepted_action": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "company_account_check/action/override_accepted"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              },
              "details": {
                "type": "object"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "user": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              },
              "override": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/override"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "company_account_check": {
                "type": "string",
                "format": "uri",
                "example": "https://app.trustpair.com/api/v1/company_account_checks/814a56f9-64d7-43e6-916a-b0bafe568a2b"
              }
            }
          }
        }
      },
      "company_account_check_override_cancelled_action": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "company_account_check/action/override_cancelled"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              },
              "details": {
                "type": "object"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "user": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              },
              "override": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/override"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "company_account_check": {
                "type": "string",
                "format": "uri",
                "example": "https://app.trustpair.com/api/v1/company_account_checks/814a56f9-64d7-43e6-916a-b0bafe568a2b"
              }
            }
          }
        }
      },
      "company_account_check_override_expired_action": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "company_account_check/action/override_expired"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              },
              "details": {
                "type": "object"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "user": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              },
              "override": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/override"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "company_account_check": {
                "type": "string",
                "format": "uri",
                "example": "https://app.trustpair.com/api/v1/company_account_checks/814a56f9-64d7-43e6-916a-b0bafe568a2b"
              }
            }
          }
        }
      },
      "company_account_check_override_refused_action": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "company_account_check/action/override_refused"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              },
              "details": {
                "type": "object"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "user": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              },
              "override": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/override"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "company_account_check": {
                "type": "string",
                "format": "uri",
                "example": "https://app.trustpair.com/api/v1/company_account_checks/814a56f9-64d7-43e6-916a-b0bafe568a2b"
              }
            }
          }
        }
      },
      "company_account_check_override_submitted_action": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "company_account_check/action/override_submitted"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              },
              "details": {
                "type": "object"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "user": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              },
              "override": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/override"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "company_account_check": {
                "type": "string",
                "format": "uri",
                "example": "https://app.trustpair.com/api/v1/company_account_checks/814a56f9-64d7-43e6-916a-b0bafe568a2b"
              }
            }
          }
        }
      },
      "company_account_check_pair_evaluated_action": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "company_account_check/action/pair_evaluated"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              },
              "details": {
                "type": "object"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "user": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "company_account_check": {
                "type": "string",
                "format": "uri",
                "example": "https://app.trustpair.com/api/v1/company_account_checks/814a56f9-64d7-43e6-916a-b0bafe568a2b"
              }
            }
          }
        }
      },
      "company_account_check_sanctions_screened_action": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "company_account_check/action/sanctions_screened"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              },
              "details": {
                "type": "object"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "user": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "company_account_check": {
                "type": "string",
                "format": "uri",
                "example": "https://app.trustpair.com/api/v1/company_account_checks/814a56f9-64d7-43e6-916a-b0bafe568a2b"
              }
            }
          }
        }
      },
      "company_account_check_unarchived_action": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "enum": [
              "company_account_check/action/unarchived"
            ]
          },
          "id": {
            "type": "string",
            "example": "814a56f9-64d7-43e6-916a-b0bafe568a2b"
          },
          "attributes": {
            "type": "object",
            "properties": {
              "created_at": {
                "type": "string",
                "format": "date-time",
                "example": "2025-05-10T13:12:56Z"
              },
              "details": {
                "type": "object"
              }
            }
          },
          "relationships": {
            "type": "object",
            "properties": {
              "user": {
                "type": "object",
                "properties": {
                  "data": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "trustpair/user"
                        ]
                      },
                      "id": {
                        "type": "string",
                        "example": "4b9a21a1-c3e7-4635-8df2-5775a1603152"
                      }
                    }
                  }
                }
              }
            }
          },
          "links": {
            "type": "object",
            "properties": {
              "company_account_check": {
                "type": "string",
                "format": "uri",
                "example": "https://app.trustpair.com/api/v1/company_account_checks/814a56f9-64d7-43e6-916a-b0bafe568a2b"
              }
            }
          }
        }
      }
    }
  }
}
```